#ifndef _Vector3BUFFER_HPP_
#define _Vector3BUFFER_HPP_

#include "externs.hpp"

class Vectorbuffer
{
public:
    Vectorbuffer(); 
    ~Vectorbuffer(); 

    void start();
    void finalize();
    Vector3 *getData() { return this->values; };
    void add(Vector3 &v);
    int getCount() { return this->count; };


private:

    Lista2 *list;
    int count;
    Vector3 *values;
};

#endif